---
updatedAt: 2025-09-24T00:06:02.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List accounts

Return a user's list of bank accounts.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/accounts": {
      "get": {
        "summary": "List accounts",
        "description": "Return a user's list of bank accounts.",
        "operationId": "list-accounts",
        "parameters": [
          {
            "name": "item_id",
            "in": "query",
            "description": "You can use this to list accounts linked to a specific item",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of records to return. Accepted values: 1 - 500.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"id\": 2341501,\n      \"name\": \"Compte Crédit Immobilier\",\n      \"balance\": 140200.22,\n      \"status\": 0,\n      \"status_code_info\": null,\n      \"status_code_description\": null,\n      \"updated_at\": \"2019-04-06T13:53:12Z\",\n      \"type\": \"loan\",\n      \"currency_code\": \"EUR\",\n      \"item_id\": 123456789,\n      \"bank_id\": 408,\n      \"loan_details\": {\n        \"next_payment_date\": \"2019-04-30\",\n        \"next_payment_amount\": 1000,\n        \"maturity_date\": \"2026-12-31\",\n        \"opening_date\": \"2013-01-10\",\n        \"interest_rate\": 1.25,\n        \"type\": \"Prêtimmobilier\",\n        \"borrowed_capital\": 140200,\n        \"repaid_capital\": 40200,\n        \"remaining_capital\": 100000\n      },\n      \"savings_details\": null,\n      \"is_pro\": false,\n      \"iban\": \"FR2420020202260600024M02606\"\n    },\n    //...\n  ],\n  \"pagination\": {\n    \"next_uri\": \"/v2/accounts?after=MjM0MTUwMA%3D%3D&limit=10\"\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/accounts?item_id=123456789&limit=10' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```